1

I use Drupal 10.2.0 fresh installed. I downloaded CiviCrm 5.68 with the commands

composer require civicrm/civicrm-{core,packages,drupal-8}
composer require civicrm/cli-tools

This installed civicrm/cv version v0.3.6

When I want to install CiviCRM with custom options the cv core:install command throws an exception:

[Symfony\Component\Debug\Exception\FatalThrowableError]    
Class "Symfony\Cmf\Component\Routing\RouteObjectInterface" not found 

Any help appreciated.

1 Answer 1

0

I'm not sure why it would have installed such an old version of cv - you need a newer one for drupal 9/10 - but in general you will have better results using the phar download of cv rather than trying to get it with composer.

1
  • 1
    Sorry, it was my mistake. The older version of cv was present in the search path from an earlier install. Composer installs the correct version of cv, the same version as from direct download. Thank you for your answer.
    – Ervin Nagy
    Jan 2 at 14:36

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service and acknowledge you have read our privacy policy.

Not the answer you're looking for? Browse other questions tagged or ask your own question.